#ifndef __GTK2PERL_CELL_RENDERER_BASE_H__
#define __GTK2PERL_CELL_RENDERER_BASE_H__

#include <gtk/gtkcellrenderer.h>

G_BEGIN_DECLS

typedef struct _Gtk2PerlCellRendererBase      Gtk2PerlCellRendererBase;
typedef struct _Gtk2PerlCellRendererBaseClass Gtk2PerlCellRendererBaseClass;

#define GTK2PERL_TYPE_CELL_RENDERER_BASE            (gtk2perl_cell_renderer_base_get_type ())
#define GTK2PERL_CELL_RENDERER_BASE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK2PERL_TYPE_CELL_RENDERER_BASE, Gtk2PerlCellRendererBase))
#define GTK2PERL_CELL_RENDERER_BASE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GTK2PERL_TYPE_CELL_RENDERER_BASE, Gtk2PerlCellRendererBaseClass))
#define GTK2PERL_IS_CELL_RENDERER_BASE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK2PERL_TYPE_CELL_RENDERER_BASE))
#define GTK2PERL_IS_CELL_RENDERER_BASE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GTK2PERL_TYPE_CELL_RENDERER_BASE))
#define GTK2PERL_CELL_RENDERER_BASE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK2PERL_TYPE_CELL_RENDERER_BASE, Gtk2PerlCellRendererBaseClass))

struct _Gtk2PerlCellRendererBase {
	GtkCellRenderer cell_renderer;
};

struct _Gtk2PerlCellRendererBaseClass {
	GtkCellRendererClass parent_class;
};

GType gtk2perl_cell_renderer_base_get_type (void) G_GNUC_CONST;

G_END_DECLS

#endif /* __GTK2PERL_CELL_RENDERER_BASE_H__ */
